# connectorResourceResponse

Response containing information about connector resources and monitoring status.

### Examples

```graphql
type ConnectorResourceResponse {
  resources: [Resource]
  monitorAllNewlyCreatedResources: Boolean
  total: Int
  selected: Int
}
```

### Fields

| Field                                                                                                | Description                                                            | Supported fields                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| ---------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| resources [`[Resource]`](/api-documentation/api-reference/api--connectors/types/objects/resource.md) | List of resources that are available and their monitoring status       | <p>id <code>String</code><br>name <code>String</code><br>resourceOrgName <code>String</code><br>isMonitored <code>Boolean</code><br>resourceType <a href="/pages/kz5a7690S3FWJOaxPDKj"><code>ResourceType</code></a><br>children <a href="/pages/nYgO3v7XywxX2Otuko1M"><code>\[Resource]</code></a><br>iconName <a href="/pages/aQKj17p3uw0uwxfnId14"><code>ResourceIcon</code></a><br>settingsAvailable <code>Boolean</code><br>credentialsId <code>String</code></p> |
| monitorAllNewlyCreatedResources `Boolean`                                                            | Indicates if newly created resources should be automatically monitored |                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| total `Int`                                                                                          | Total number of available resources                                    |                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| selected `Int`                                                                                       | Number of selected (monitored) resources                               |                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |

### References

#### Queries using this object:

* [\<?> getConnectorResources](/api-documentation/api-reference/api--connectors/queries/get-connector-resources.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--connectors/types/objects/connector-resource-response.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
